#ifndef __CH56X_USB1DEV372_H__
#define __CH56X_USB1DEV372_H__

#ifdef __cplusplus
extern "C" {
#endif

#define  CMD_FASTREAD        0x0B
#define  CMD_READID          0x9F

/********************************* 引脚定义 ************************************
*    PA12  <===========>  SCS0
*    PA13  <===========>  SCK0
*    PA14  <===========>  MOSI0
*    PA15  <===========>  MISO0
*******************************************************************************/
#define  SPI0_CS_LOW()        R32_PA_CLR |= 1<<12
#define  SPI0_CS_HIGH()       R32_PA_OUT |= 1<<12

extern void SPI0_MASTER_INIT ( void );
extern void SPI0_Trans( UINT8 data );
extern UINT8 SPI0_Recv( void );
extern UINT16 SPI0Flash_ReadID(void);
extern void ReadPSRAMData_SPI0( UINT32 StarAddr, UINT16 Len, PUINT8 RcvBuffer );
extern void WritesPSRAMData_SPI0(UINT32 StarAddr,UINT16 Len,PUINT8 SendBuffer);

#ifdef __cplusplus
}
#endif
#endif		//__CH56X_USB1DEV372_H__