
#ifndef __WCH_DEGBU_H__
#define __WCH_DEGBU_H__

#ifdef __cplusplus
extern "C" {
#endif

#define STR(S)        #S
#define XSTR(S)        STR(S)

#define	STDIO_BAUD_RATE		6000000	 //调试波特率为6M

extern void SysClkInit(void);
extern void mInitSTDIO_UR3 (void);

extern void    mDelayuS( UINT16 n ); // 以mS为单位延时
extern void    mDelaymS( UINT16 n ); // 以mS为单位延时

extern void Interrupt_init(UINT16 itnum);

/* Use compiler builtin memcpy and memset */
#define MEMCPY(des, src, n) __builtin_memcpy ((des), (src), (n))
#define MEMSET(s, c, n) __builtin_memset ((s), (c), (n))

#ifdef __cplusplus
}
#endif

#endif
